﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Sailboat.Entities
{
    /// <summary>
    /// Класс-сущность "Парусная лодка"
    /// </summary>
    public class EntitySailboat : EntityBoat
    {
        /// <summary>
        /// Дополнительный цвет (для опциональных элементов)
        /// </summary>
        public Color AdditionalColor { get; private set; }

        /// <summary>
        /// Признак (опция) наличия усиленного корпуса
        /// </summary>
        public bool Hull { get; private set; }

        /// <summary>
        /// Признак (опция) наличия паруса
        /// </summary>
        public bool Sail { get; private set; }

        /// <summary>
        /// Инициализация полей объекта-класса парусной лодки
        /// </summary>
        /// <param name="speed">Скорость</param>
        /// <param name="weight">Вес лодки</param>
        /// <param name="bodyColor">Основной цвет</param>
        /// <param name="additionalColor">Дополнительный цвет</param>
        /// <param name="hull">Признак наличия усиленного корпуса</param>
        /// <param name="sail">Признак наличия паруса</param>
        public EntitySailboat(int speed, double weight, Color bodyColor, Color
        additionalColor, bool hull, bool sail) : base(speed, weight, bodyColor)
        {
            AdditionalColor = additionalColor;
            Hull = hull;
            Sail = sail;
        }
    }
}